Package org.lwjgl.opengl

# Class NVTransformFeedback

java.lang.Object
org.lwjgl.opengl.NVTransformFeedback

public final class NVTransformFeedback extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_VARYING_MAX_LENGTH_NV`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_ACTIVE_VARYINGS_NV`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_BACK_PRIMARY_COLOR_NV`
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:
`static final int`
`GL_BACK_SECONDARY_COLOR_NV`
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:
`static final int`
`GL_CLIP_DISTANCE_NV`
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:
`static final int`
`GL_GENERIC_ATTRIB_NV`
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:
`static final int`
`GL_INTERLEAVED_ATTRIBS_NV`
Accepted by the <bufferMode> parameter of TransformFeedbackAttribsNV and TransformFeedbackVaryingsNV:
`static final int`
`GL_LAYER_NV`
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_PRIMITIVE_ID_NV`
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:
`static final int`
`GL_PRIMITIVES_GENERATED_NV`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static final int`
`GL_RASTERIZER_DISCARD_NV`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_SEPARATE_ATTRIBS_NV`
Accepted by the <bufferMode> parameter of TransformFeedbackAttribsNV and TransformFeedbackVaryingsNV:
`static final int`
`GL_TEXTURE_COORD_NV`
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:
`static final int`
`GL_TRANSFORM_FEEDBACK_ATTRIBS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV`
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT, and by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, GetFloatv, and GetProgramiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_NV`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, BindBufferRangeNV, BindBufferOffsetNV and BindBufferBaseNV:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV`
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_START_NV`
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:
`static final int`
`GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_RECORD_NV`
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:
`static final int`
`GL_TRANSFORM_FEEDBACK_VARYINGS_NV`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_VERTEX_ID_NV`
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glActiveVaryingNV(int program, CharSequence name)`
Overloads glActiveVaryingNV.
`static void`
`glActiveVaryingNV(int program, ByteBuffer name)`
`static void`
`glBeginTransformFeedbackNV(int primitiveMode)`
`static void`
`glBindBufferBaseNV(int target, int index, int buffer)`
`static void`
`glBindBufferOffsetNV(int target, int index, int buffer, long offset)`
`static void`
`glBindBufferRangeNV(int target, int index, int buffer, long offset, long size)`
`static void`
`glEndTransformFeedbackNV()`
`static String`
`glGetActiveVaryingNV(int program, int index, int bufSize)`
Overloads glGetActiveVaryingNV.
`static String`
`glGetActiveVaryingNV(int program, int index, int bufSize, IntBuffer sizeType)`
Overloads glGetActiveVaryingNV.
`static void`
`glGetActiveVaryingNV(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)`
`static int`
`glGetActiveVaryingSizeNV(int program, int index)`
Overloads glGetActiveVaryingNV.
`static int`
`glGetActiveVaryingTypeNV(int program, int index)`
Overloads glGetActiveVaryingNV.
`static int`
`glGetTransformFeedbackVaryingNV(int program, int index)`
Overloads glGetTransformFeedbackVaryingNV.
`static void`
`glGetTransformFeedbackVaryingNV(int program, int index, IntBuffer location)`
`static int`
`glGetVaryingLocationNV(int program, CharSequence name)`
Overloads glGetVaryingLocationNV.
`static int`
`glGetVaryingLocationNV(int program, ByteBuffer name)`
`static void`
`glTransformFeedbackAttribsNV(IntBuffer attribs, int bufferMode)`
`static void`
`glTransformFeedbackVaryingsNV(int program, IntBuffer locations, int bufferMode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TRANSFORM_FEEDBACK_BUFFER_NV

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_NV
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, BindBufferRangeNV, BindBufferOffsetNV and BindBufferBaseNV:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_START_NV

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_START_NV
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_RECORD_NV

public static final int GL_TRANSFORM_FEEDBACK_RECORD_NV
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV
Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT, and by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_INTERLEAVED_ATTRIBS_NV

public static final int GL_INTERLEAVED_ATTRIBS_NV
Accepted by the <bufferMode> parameter of TransformFeedbackAttribsNV and TransformFeedbackVaryingsNV:

See Also:
  - Constant Field Values

### GL_SEPARATE_ATTRIBS_NV

public static final int GL_SEPARATE_ATTRIBS_NV
Accepted by the <bufferMode> parameter of TransformFeedbackAttribsNV and TransformFeedbackVaryingsNV:

See Also:
  - Constant Field Values

### GL_PRIMITIVES_GENERATED_NV

public static final int GL_PRIMITIVES_GENERATED_NV
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV

public static final int GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

### GL_RASTERIZER_DISCARD_NV

public static final int GL_RASTERIZER_DISCARD_NV
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV

public static final int GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV

public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV

public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_ATTRIBS_NV

public static final int GL_TRANSFORM_FEEDBACK_ATTRIBS_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_ACTIVE_VARYINGS_NV

public static final int GL_ACTIVE_VARYINGS_NV
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_VARYING_MAX_LENGTH_NV

public static final int GL_ACTIVE_VARYING_MAX_LENGTH_NV
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYINGS_NV

public static final int GL_TRANSFORM_FEEDBACK_VARYINGS_NV
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, GetFloatv, and GetProgramiv:

See Also:
  - Constant Field Values

### GL_BACK_PRIMARY_COLOR_NV

public static final int GL_BACK_PRIMARY_COLOR_NV
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

See Also:
  - Constant Field Values

### GL_BACK_SECONDARY_COLOR_NV

public static final int GL_BACK_SECONDARY_COLOR_NV
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

See Also:
  - Constant Field Values

### GL_TEXTURE_COORD_NV

public static final int GL_TEXTURE_COORD_NV
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

See Also:
  - Constant Field Values

### GL_CLIP_DISTANCE_NV

public static final int GL_CLIP_DISTANCE_NV
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

See Also:
  - Constant Field Values

### GL_VERTEX_ID_NV

public static final int GL_VERTEX_ID_NV
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

See Also:
  - Constant Field Values

### GL_PRIMITIVE_ID_NV

public static final int GL_PRIMITIVE_ID_NV
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

See Also:
  - Constant Field Values

### GL_GENERIC_ATTRIB_NV

public static final int GL_GENERIC_ATTRIB_NV
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

See Also:
  - Constant Field Values

### GL_LAYER_NV

public static final int GL_LAYER_NV
Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

See Also:
  - Constant Field Values

## Method Details

### glBindBufferRangeNV

public static void glBindBufferRangeNV(int target, int index, int buffer, long offset, long size)

### glBindBufferOffsetNV

public static void glBindBufferOffsetNV(int target, int index, int buffer, long offset)

### glBindBufferBaseNV

public static void glBindBufferBaseNV(int target, int index, int buffer)

### glTransformFeedbackAttribsNV

public static void glTransformFeedbackAttribsNV(IntBuffer attribs, int bufferMode)

### glTransformFeedbackVaryingsNV

public static void glTransformFeedbackVaryingsNV(int program, IntBuffer locations, int bufferMode)

### glBeginTransformFeedbackNV

public static void glBeginTransformFeedbackNV(int primitiveMode)

### glEndTransformFeedbackNV

public static void glEndTransformFeedbackNV()

### glGetVaryingLocationNV

public static int glGetVaryingLocationNV(int program, ByteBuffer name)

### glGetVaryingLocationNV

public static int glGetVaryingLocationNV(int program, CharSequence name)
Overloads glGetVaryingLocationNV.

### glGetActiveVaryingNV

public static void glGetActiveVaryingNV(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)

### glGetActiveVaryingNV

public static String glGetActiveVaryingNV(int program, int index, int bufSize, IntBuffer sizeType)
Overloads glGetActiveVaryingNV.

Overloads glGetActiveVaryingNV. This version returns both size and type in the sizeType buffer (at .position() and .position() + 1).

### glGetActiveVaryingNV

public static String glGetActiveVaryingNV(int program, int index, int bufSize)
Overloads glGetActiveVaryingNV.

Overloads glGetActiveVaryingNV. This version returns only the varying name.

### glGetActiveVaryingSizeNV

public static int glGetActiveVaryingSizeNV(int program, int index)
Overloads glGetActiveVaryingNV.

Overloads glGetActiveVaryingNV. This version returns only the varying size.

### glGetActiveVaryingTypeNV

public static int glGetActiveVaryingTypeNV(int program, int index)
Overloads glGetActiveVaryingNV.

Overloads glGetActiveVaryingNV. This version returns only the varying type.

### glActiveVaryingNV

public static void glActiveVaryingNV(int program, ByteBuffer name)

### glActiveVaryingNV

public static void glActiveVaryingNV(int program, CharSequence name)
Overloads glActiveVaryingNV.

### glGetTransformFeedbackVaryingNV

public static void glGetTransformFeedbackVaryingNV(int program, int index, IntBuffer location)

### glGetTransformFeedbackVaryingNV

public static int glGetTransformFeedbackVaryingNV(int program, int index)
Overloads glGetTransformFeedbackVaryingNV.